com.impinj.stp

## Interface StpApi.MonzaR6PFeatureConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.MonzaR6PFeatureConfig, StpApi.MonzaR6PFeatureConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.MonzaR6PFeatureConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableAutoTune()` Enable Auto-tune
    `boolean` | `getEnableShortRangeMode()` Enable Short-Range mode
    `StpApi.MonzaR6PMemoryMapConfig` | `getMemoryMapConfig()` Configure tag memory map
    `boolean` | `hasEnableAutoTune()` Enable Auto-tune
    `boolean` | `hasEnableShortRangeMode()` Enable Short-Range mode
    `boolean` | `hasMemoryMapConfig()` Configure tag memory map

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEnableAutoTune

          boolean hasEnableAutoTune()

      Enable Auto-tune

    - #### getEnableAutoTune

          boolean getEnableAutoTune()

      Enable Auto-tune

    - #### hasEnableShortRangeMode

          boolean hasEnableShortRangeMode()

      Enable Short-Range mode

    - #### getEnableShortRangeMode

          boolean getEnableShortRangeMode()

      Enable Short-Range mode

    - #### hasMemoryMapConfig

          boolean hasMemoryMapConfig()

      Configure tag memory map

    - #### getMemoryMapConfig

          StpApi.MonzaR6PMemoryMapConfig getMemoryMapConfig()

      Configure tag memory map